*------------------------------------------------------*;
*-- PSI PROVIDER REGRESSION VARIABLES v6.0.2, ICD-09 --*;
*---      >>>  VERSION DATE JULY 2017  <<<          ---*;
*----------------------------------------------  ------*;

*----------------------------------------------* ;
*-- Create risk adjustment variables for use --* ;
*-- in the following:                        --* ;
*-- (1) Estimation of model coefficients     --* ;
*-- (2) Provider signal variance arrays      --* ;
*-- (3) PSI_PROV_RISKADJ program             --* ;
*----------------------------------------------* ;
*-- Requires PSI_ALL_MEASURES output file    --* ;
*----------------------------------------------* ;

* -- macro variables -- * ;
%let agesx_ =  M_AgeCat_1-M_AgeCat_14 
                F_AgeCat_1-F_AgeCat_9
               F_AgeCat_10-F_AgeCat_14 ;

%let ageonly_ =  AgeCat_1-AgeCat_14 ;

%let comorb_ =  CHF VALVE PULMCIRC PERIVASC HTN_C
                PARA NEURO CHRNLUNG DM DMCX
                HYPOTHY RENLFAIL LIVER ULCER AIDS
                LYMPH METS TUMOR ARTH OBESE
                WGHTLOSS BLDLOSS ANEMDEF ALCOHOL DRUG
                PSYCH DEPRESS COAG LYTES IMMUNE ;

%let mdc_ =   MDC_1  MDC_2  MDC_3  MDC_4  MDC_5    
              MDC_6  MDC_7  MDC_8  MDC_9  MDC_10   
              MDC_11 MDC_12 MDC_13 MDC_14 MDC_15              
              MDC_16 MDC_17 MDC_18 MDC_19 MDC_20   
              MDC_21 MDC_22 MDC_23 MDC_24 MDC_25 ; 

%let mdrgs_ =
mdrg_101    mdrg_202    mdrg_415    mdrg_530    mdrg_621    mdrg_818    mdrg_908    mdrg_1116    mdrg_1407    mdrg_1802    mdrg_2212
mdrg_102    mdrg_203    mdrg_416    mdrg_531    mdrg_701    mdrg_819    mdrg_909    mdrg_1117    mdrg_1408    mdrg_1803    mdrg_2213
mdrg_103    mdrg_205    mdrg_501    mdrg_532    mdrg_702    mdrg_820    mdrg_910    mdrg_1118    mdrg_1409    mdrg_1804    mdrg_2214
mdrg_104    mdrg_204    mdrg_502    mdrg_533    mdrg_703    mdrg_821    mdrg_911    mdrg_1201    mdrg_1410    mdrg_1805    mdrg_2301
mdrg_105    mdrg_206    mdrg_503    mdrg_534    mdrg_704    mdrg_822    mdrg_912    mdrg_1202    mdrg_1411    mdrg_1806    mdrg_2302
mdrg_106    mdrg_301    mdrg_504    mdrg_535    mdrg_705    mdrg_823    mdrg_1001   mdrg_1203    mdrg_1412    mdrg_1807    mdrg_2303
mdrg_107    mdrg_302    mdrg_505    mdrg_540    mdrg_706    mdrg_824    mdrg_1002   mdrg_1204    mdrg_1501    mdrg_1808    mdrg_2304
mdrg_108    mdrg_303    mdrg_506    mdrg_541    mdrg_707    mdrg_825    mdrg_1003   mdrg_1205    mdrg_1502    mdrg_1909    mdrg_2305
mdrg_109    mdrg_304    mdrg_507    mdrg_542    mdrg_708    mdrg_826    mdrg_1004   mdrg_1206    mdrg_1503    mdrg_1910    mdrg_2406
mdrg_110    mdrg_305    mdrg_508    mdrg_543    mdrg_709    mdrg_827    mdrg_1005   mdrg_1207    mdrg_1504    mdrg_1911    mdrg_2407
mdrg_111    mdrg_306    mdrg_509    mdrg_601    mdrg_710    mdrg_828    mdrg_1006   mdrg_1208    mdrg_1505    mdrg_1912    mdrg_2408
mdrg_112    mdrg_307    mdrg_510    mdrg_602    mdrg_711    mdrg_829    mdrg_1007   mdrg_1209    mdrg_1506    mdrg_1913    mdrg_2409
mdrg_113    mdrg_308    mdrg_511    mdrg_603    mdrg_712    mdrg_830    mdrg_1008   mdrg_1210    mdrg_1507    mdrg_1914    mdrg_2501
mdrg_114    mdrg_309    mdrg_513    mdrg_604    mdrg_801    mdrg_831    mdrg_1009   mdrg_1301    mdrg_1601    mdrg_1915    mdrg_2502
mdrg_115    mdrg_310    mdrg_514    mdrg_605    mdrg_802    mdrg_832    mdrg_1010   mdrg_1302    mdrg_1602    mdrg_1916    mdrg_2503
mdrg_116    mdrg_311    mdrg_515    mdrg_606    mdrg_803    mdrg_833    mdrg_1101   mdrg_1303    mdrg_1603    mdrg_1917    mdrg_7701
mdrg_117    mdrg_401    mdrg_516    mdrg_607    mdrg_804    mdrg_834    mdrg_1102   mdrg_1304    mdrg_1604    mdrg_2018    mdrg_7702
mdrg_118    mdrg_402    mdrg_517    mdrg_608    mdrg_805    mdrg_835    mdrg_1103   mdrg_1305    mdrg_1605    mdrg_2019    mdrg_7703
mdrg_119    mdrg_403    mdrg_518    mdrg_609    mdrg_806    mdrg_836    mdrg_1104   mdrg_1306    mdrg_1606    mdrg_2020    mdrg_7704
mdrg_120    mdrg_404    mdrg_519    mdrg_610    mdrg_807    mdrg_837    mdrg_1105   mdrg_1307    mdrg_1707    mdrg_2101    mdrg_7705
mdrg_121    mdrg_405    mdrg_520    mdrg_611    mdrg_808    mdrg_838    mdrg_1106   mdrg_1308    mdrg_1708    mdrg_2102    mdrg_7706
mdrg_122    mdrg_406    mdrg_521    mdrg_612    mdrg_809    mdrg_839    mdrg_1107   mdrg_1309    mdrg_1709    mdrg_2103    mdrg_8899
mdrg_123    mdrg_407    mdrg_522    mdrg_613    mdrg_810    mdrg_840    mdrg_1108   mdrg_1310    mdrg_1710    mdrg_2104
mdrg_124    mdrg_408    mdrg_523    mdrg_614    mdrg_811    mdrg_901    mdrg_1109   mdrg_1311    mdrg_1711    mdrg_2105
mdrg_125    mdrg_409    mdrg_524    mdrg_615    mdrg_812    mdrg_902    mdrg_1110   mdrg_1401    mdrg_1712    mdrg_2106
mdrg_126    mdrg_410    mdrg_525    mdrg_616    mdrg_813    mdrg_903    mdrg_1111   mdrg_1402    mdrg_1713    mdrg_2107
mdrg_127    mdrg_411    mdrg_526    mdrg_617    mdrg_814    mdrg_904    mdrg_1112   mdrg_1403    mdrg_1714    mdrg_2108
mdrg_128    mdrg_412    mdrg_527    mdrg_618    mdrg_815    mdrg_905    mdrg_1113   mdrg_1404    mdrg_1715    mdrg_2109
mdrg_129    mdrg_413    mdrg_528    mdrg_619    mdrg_816    mdrg_906    mdrg_1114   mdrg_1405    mdrg_1716    mdrg_2201
mdrg_201    mdrg_414    mdrg_529    mdrg_620    mdrg_817    mdrg_907    mdrg_1115   mdrg_1406    mdrg_1801    mdrg_2210
 ;

 length &ageonly_ &agesx_ &ageonly_ gender_cat &mdc_ &mdrgs_ 3 ;

 *-- create age sex class variables --* ;

*-- FEMALE covariate --* ;
 if SEX=2 then GENDER_CAT=1 ;
 else GENDER_CAT=0 ;

 length AgeCat_1-AgeCat_14 3 ;
 array agekats (14) AgeCat_1-AgeCat_14 ;

 do i=1 to 14 ;
    agekats(i)=0 ;
 end ;

 *-- Age-only dummies --* ;
 if age < 30 then AgeCat_1=1 ;
 if age < 35 then AgeCat_2=1 ;
 if age < 40 then AgeCat_3=1 ;
 if age < 45 then AgeCat_4=1 ;
 if age < 50 then AgeCat_5=1 ;
 if age < 55 then AgeCat_6=1 ;
 if age < 60 then AgeCat_7=1 ;
 if age < 65 then AgeCat_8=1 ;
 if 65 <=age < 70 then AgeCat_9=1 ;
 if age >=70 then AgeCat_10=1 ;
 if age >=75 then AgeCat_11=1 ;
 if age >=80 then AgeCat_12=1 ;
 if age >=85 then AgeCat_13=1 ;
 if age >=90 then AgeCat_14=1 ;


 *-- Create age-sex interaction terms --* ;
 length M_AgeCat_1-M_AgeCat_14 3 
        F_AgeCat_1-F_AgeCat_14 3 ;

 array M_agekat (14) M_AgeCat_1-M_AgeCat_14 ;
 array F_agekat (14) F_AgeCat_1-F_AgeCat_14 ;

 do i=1 to 14 ;
    M_agekat(i)=0;
    F_agekat(i)=0;
 end ; 

 if SEX=1 then do ;
    if age < 30 then M_AgeCat_1=1 ;
     if age < 35 then M_AgeCat_2=1 ;
     if age < 40 then M_AgeCat_3=1 ;
     if age < 45 then M_AgeCat_4=1 ;
     if age < 50 then M_AgeCat_5=1 ;
     if age < 55 then M_AgeCat_6=1 ;
     if age < 60 then M_AgeCat_7=1 ;
     if age < 65 then M_AgeCat_8=1 ;
     if age >=65  then M_AgeCat_9=1 ;
     if age >=70 then M_AgeCat_10=1 ;
     if age >=75 then M_AgeCat_11=1 ;
     if age >=80 then M_AgeCat_12=1 ;
     if age >=85 then M_AgeCat_13=1 ;
    if age >=90 then M_AgeCat_14=1 ;

  end ;
  else if SEX=2 then do ;
    if age < 30 then F_AgeCat_1=1 ;
     if age < 35 then F_AgeCat_2=1 ;
     if age < 40 then F_AgeCat_3=1 ;
     if age < 45 then F_AgeCat_4=1 ;
     if age < 50 then F_AgeCat_5=1 ;
     if age < 55 then F_AgeCat_6=1 ;
     if age < 60 then F_AgeCat_7=1 ;
     if age < 65 then F_AgeCat_8=1 ;
     if 65 <=age < 70 then F_AgeCat_9=1 ;
     if age >=70 then F_AgeCat_10=1 ;
     if age >=75 then F_AgeCat_11=1 ;
     if age >=80 then F_AgeCat_12=1 ;
     if age >=85 then F_AgeCat_13=1 ;
    if age >=90 then F_AgeCat_14=1 ;

  end ;

  

   *-- Create MDC dummies --* ;
  MDC_1=0; MDC_2=0; MDC_3=0; MDC_4=0; MDC_5=0;
  MDC_6=0; MDC_7=0; MDC_8=0; MDC_9=0; MDC_10=0;
  MDC_10=0; MDC_11=0; MDC_12=0;MDC_13=0;MDC_14=0;MDC_15=0;
  MDC_16=0; MDC_17=0; MDC_18=0;MDC_19=0;MDC_20=0;MDC_21=0;
  MDC_22=0; MDC_23=0; MDC_24=0;MDC_25=0;

  if MDC=1 then MDC_1=1 ;
  else if MDC=2 then MDC_2=1 ;
  else if MDC=3 then MDC_3=1 ;
  else if MDC=4 then MDC_4=1 ;
  else if MDC=5 then MDC_5=1 ;
  else if MDC=6 then MDC_6=1 ;
  else if MDC=7 then MDC_7=1 ;
  else if MDC=8 then MDC_8=1 ;
  else if MDC=9 then MDC_9=1 ;
  else if MDC=10 then MDC_10=1 ;
  else if MDC=11 then MDC_11=1 ;
  else if MDC=12 then MDC_12=1 ;
  else if MDC=13 then MDC_13=1 ;
  else if MDC=14 then MDC_14=1 ;
  else if MDC=15 then MDC_15=1 ;
  else if MDC=16 then MDC_16=1 ;
  else if MDC=17 then MDC_17=1 ;
  else if MDC=18 then MDC_18=1 ;
  else if MDC=19 then MDC_19=1 ;
  else if MDC=20 then MDC_20=1 ;
  else if MDC=21 then MDC_21=1 ;
  else if MDC=22 then MDC_22=1 ;
  else if MDC=23 then MDC_23=1 ;
  else if MDC=24 then MDC_24=1 ;
  else if MDC=25 then MDC_25=1 ;


array MDRGz &mdrgs_ ;


do over MDRGz ;
  MDRGz = 0 ;
end ;

mdrg_9999=0;

select (MDRG) ;
when(101) mdrg_101 = 1 ;
when(102) mdrg_102 = 1 ;
when(103) mdrg_103 = 1 ;
when(104) mdrg_104 = 1 ;
when(105) mdrg_105 = 1 ;
when(106) mdrg_106 = 1 ;
when(107) mdrg_107 = 1 ;
when(108) mdrg_108 = 1 ;
when(109) mdrg_109 = 1 ;
when(110) mdrg_110 = 1 ;
when(111) mdrg_111 = 1 ;
when(112) mdrg_112 = 1 ;
when(113) mdrg_113 = 1 ;
when(114) mdrg_114 = 1 ;
when(115) mdrg_115 = 1 ;
when(116) mdrg_116 = 1 ;
when(117) mdrg_117 = 1 ;
when(118) mdrg_118 = 1 ;
when(119) mdrg_119 = 1 ;
when(120) mdrg_120 = 1 ;
when(121) mdrg_121 = 1 ;
when(122) mdrg_122 = 1 ;
when(123) mdrg_123 = 1 ;
when(124) mdrg_124 = 1 ;
when(125) mdrg_125 = 1 ;
when(126) mdrg_126 = 1 ;
when(127) mdrg_127 = 1 ;
when(128) mdrg_128 = 1 ;
when(129) mdrg_129 = 1 ;
when(201) mdrg_201 = 1 ;
when(202) mdrg_202 = 1 ;
when(203) mdrg_203 = 1 ;
when(204) mdrg_204 = 1 ;
when(205) mdrg_205 = 1 ;
when(206) mdrg_206 = 1 ;
when(301) mdrg_301 = 1 ;
when(302) mdrg_302 = 1 ;
when(303) mdrg_303 = 1 ;
when(304) mdrg_304 = 1 ;
when(305) mdrg_305 = 1 ;
when(306) mdrg_306 = 1 ;
when(307) mdrg_307 = 1 ;
when(308) mdrg_308 = 1 ;
when(309) mdrg_309 = 1 ;
when(310) mdrg_310 = 1 ;
when(311) mdrg_311 = 1 ;
when(401) mdrg_401 = 1 ;
when(402) mdrg_402 = 1 ;
when(403) mdrg_403 = 1 ;
when(404) mdrg_404 = 1 ;
when(405) mdrg_405 = 1 ;
when(406) mdrg_406 = 1 ;
when(407) mdrg_407 = 1 ;
when(408) mdrg_408 = 1 ;
when(409) mdrg_409 = 1 ;
when(410) mdrg_410 = 1 ;
when(411) mdrg_411 = 1 ;
when(412) mdrg_412 = 1 ;
when(413) mdrg_413 = 1 ;
when(414) mdrg_414 = 1 ;
when(415) mdrg_415 = 1 ;
when(416) mdrg_416 = 1 ;
when(501) mdrg_501 = 1 ;
when(502) mdrg_502 = 1 ;
when(503) mdrg_503 = 1 ;
when(504) mdrg_504 = 1 ;
when(505) mdrg_505 = 1 ;
when(506) mdrg_506 = 1 ;
when(507) mdrg_507 = 1 ;
when(508) mdrg_508 = 1 ;
when(509) mdrg_509 = 1 ;
when(510) mdrg_510 = 1 ;
when(511) mdrg_511 = 1 ;
when(513) mdrg_513 = 1 ;
when(514) mdrg_514 = 1 ;
when(515) mdrg_515 = 1 ;
when(516) mdrg_516 = 1 ;
when(517) mdrg_517 = 1 ;
when(518) mdrg_518 = 1 ;
when(519) mdrg_519 = 1 ;
when(520) mdrg_520 = 1 ;
when(521) mdrg_521 = 1 ;
when(522) mdrg_522 = 1 ;
when(523) mdrg_523 = 1 ;
when(524) mdrg_524 = 1 ;
when(525) mdrg_525 = 1 ;
when(526) mdrg_526 = 1 ;
when(527) mdrg_527 = 1 ;
when(528) mdrg_528 = 1 ;
when(529) mdrg_529 = 1 ;
when(530) mdrg_530 = 1 ;
when(531) mdrg_531 = 1 ;
when(532) mdrg_532 = 1 ;
when(533) mdrg_533 = 1 ;
when(534) mdrg_534 = 1 ;
when(535) mdrg_535 = 1 ;
when(540) mdrg_540 = 1 ;
when(541) mdrg_541 = 1 ; 
when(542) mdrg_542 = 1 ; 
when(543) mdrg_543 = 1 ; 
when(601) mdrg_601 = 1 ;
when(602) mdrg_602 = 1 ;
when(603) mdrg_603 = 1 ;
when(604) mdrg_604 = 1 ;
when(605) mdrg_605 = 1 ;
when(606) mdrg_606 = 1 ;
when(607) mdrg_607 = 1 ;
when(608) mdrg_608 = 1 ;
when(609) mdrg_609 = 1 ;
when(610) mdrg_610 = 1 ;
when(611) mdrg_611 = 1 ;
when(612) mdrg_612 = 1 ;
when(613) mdrg_613 = 1 ;
when(614) mdrg_614 = 1 ;
when(615) mdrg_615 = 1 ;
when(616) mdrg_616 = 1 ;
when(617) mdrg_617 = 1 ;
when(618) mdrg_618 = 1 ;
when(619) mdrg_619 = 1 ;
when(620) mdrg_620 = 1 ;
when(621) mdrg_621 = 1 ;
when(701) mdrg_701 = 1 ;
when(702) mdrg_702 = 1 ;
when(703) mdrg_703 = 1 ;
when(704) mdrg_704 = 1 ;
when(705) mdrg_705 = 1 ;
when(706) mdrg_706 = 1 ;
when(707) mdrg_707 = 1 ;
when(708) mdrg_708 = 1 ;
when(709) mdrg_709 = 1 ;
when(710) mdrg_710 = 1 ;
when(711) mdrg_711 = 1 ;
when(712) mdrg_712 = 1 ;
when(801) mdrg_801 = 1 ;
when(802) mdrg_802 = 1 ;
when(803) mdrg_803 = 1 ;
when(804) mdrg_804 = 1 ;
when(805) mdrg_805 = 1 ;
when(806) mdrg_806 = 1 ;
when(807) mdrg_807 = 1 ;
when(808) mdrg_808 = 1 ;
when(809) mdrg_809 = 1 ;
when(810) mdrg_810 = 1 ;
when(811) mdrg_811 = 1 ;
when(812) mdrg_812 = 1 ;
when(813) mdrg_813 = 1 ;
when(814) mdrg_814 = 1 ;
when(815) mdrg_815 = 1 ;
when(816) mdrg_816 = 1 ;
when(817) mdrg_817 = 1 ;
when(818) mdrg_818 = 1 ;
when(819) mdrg_819 = 1 ;
when(820) mdrg_820 = 1 ;
when(821) mdrg_821 = 1 ;
when(822) mdrg_822 = 1 ;
when(823) mdrg_823 = 1 ;
when(824) mdrg_824 = 1 ;
when(825) mdrg_825 = 1 ;
when(826) mdrg_826 = 1 ;
when(827) mdrg_827 = 1 ;
when(828) mdrg_828 = 1 ;
when(829) mdrg_829 = 1 ;
when(830) mdrg_830 = 1 ;
when(831) mdrg_831 = 1 ;
when(832) mdrg_832 = 1 ;
when(833) mdrg_833 = 1 ;
when(834) mdrg_834 = 1 ;
when(835) mdrg_835 = 1 ;
when(836) mdrg_836 = 1 ;
when(837) mdrg_837 = 1 ;
when(838) mdrg_838 = 1 ;
when(839) mdrg_839 = 1 ;
when(840) mdrg_840 = 1 ;
when(901) mdrg_901 = 1 ;
when(902) mdrg_902 = 1 ;
when(903) mdrg_903 = 1 ;
when(904) mdrg_904 = 1 ;
when(905) mdrg_905 = 1 ;
when(906) mdrg_906 = 1 ;
when(907) mdrg_907 = 1 ;
when(908) mdrg_908 = 1 ;
when(909) mdrg_909 = 1 ;
when(910) mdrg_910 = 1 ;
when(911) mdrg_911 = 1 ;
when(912) mdrg_912 = 1 ;
when(1001) mdrg_1001 = 1 ;
when(1002) mdrg_1002 = 1 ;
when(1003) mdrg_1003 = 1 ;
when(1004) mdrg_1004 = 1 ;
when(1005) mdrg_1005 = 1 ;
when(1006) mdrg_1006 = 1 ;
when(1007) mdrg_1007 = 1 ;
when(1008) mdrg_1008 = 1 ;
when(1009) mdrg_1009 = 1 ;
when(1010) mdrg_1010 = 1 ;
when(1101) mdrg_1101 = 1 ;
when(1102) mdrg_1102 = 1 ;
when(1103) mdrg_1103 = 1 ;
when(1104) mdrg_1104 = 1 ;
when(1105) mdrg_1105 = 1 ;
when(1106) mdrg_1106 = 1 ;
when(1107) mdrg_1107 = 1 ;
when(1108) mdrg_1108 = 1 ;
when(1109) mdrg_1109 = 1 ;
when(1110) mdrg_1110 = 1 ;
when(1111) mdrg_1111 = 1 ;
when(1112) mdrg_1112 = 1 ;
when(1113) mdrg_1113 = 1 ;
when(1114) mdrg_1114 = 1 ;
when(1115) mdrg_1115 = 1 ;
when(1116) mdrg_1116 = 1 ;
when(1117) mdrg_1117 = 1 ;
when(1118) mdrg_1118 = 1 ;
when(1201) mdrg_1201 = 1 ;
when(1202) mdrg_1202 = 1 ;
when(1203) mdrg_1203 = 1 ;
when(1204) mdrg_1204 = 1 ;
when(1205) mdrg_1205 = 1 ;
when(1206) mdrg_1206 = 1 ;
when(1207) mdrg_1207 = 1 ;
when(1208) mdrg_1208 = 1 ;
when(1209) mdrg_1209 = 1 ;
when(1210) mdrg_1210 = 1 ;
when(1301) mdrg_1301 = 1 ;
when(1302) mdrg_1302 = 1 ;
when(1303) mdrg_1303 = 1 ;
when(1304) mdrg_1304 = 1 ;
when(1305) mdrg_1305 = 1 ;
when(1306) mdrg_1306 = 1 ;
when(1307) mdrg_1307 = 1 ;
when(1308) mdrg_1308 = 1 ;
when(1309) mdrg_1309 = 1 ;
when(1310) mdrg_1310 = 1 ;
when(1311) mdrg_1311 = 1 ;
when(1401) mdrg_1401 = 1 ;
when(1402) mdrg_1402 = 1 ;
when(1403) mdrg_1403 = 1 ;
when(1404) mdrg_1404 = 1 ;
when(1405) mdrg_1405 = 1 ;
when(1406) mdrg_1406 = 1 ;
when(1407) mdrg_1407 = 1 ;
when(1408) mdrg_1408 = 1 ;
when(1409) mdrg_1409 = 1 ;
when(1410) mdrg_1410 = 1 ;
when(1411) mdrg_1411 = 1 ;
when(1412) mdrg_1412 = 1 ;
when(1501) mdrg_1501 = 1 ;
when(1502) mdrg_1502 = 1 ;
when(1503) mdrg_1503 = 1 ;
when(1504) mdrg_1504 = 1 ;
when(1505) mdrg_1505 = 1 ;
when(1506) mdrg_1506 = 1 ;
when(1507) mdrg_1507 = 1 ;
when(1601) mdrg_1601 = 1 ;
when(1602) mdrg_1602 = 1 ;
when(1603) mdrg_1603 = 1 ;
when(1604) mdrg_1604 = 1 ;
when(1605) mdrg_1605 = 1 ;
when(1606) mdrg_1606 = 1 ;
when(1707) mdrg_1707 = 1 ;
when(1708) mdrg_1708 = 1 ;
when(1709) mdrg_1709 = 1 ;
when(1710) mdrg_1710 = 1 ;
when(1711) mdrg_1711 = 1 ;
when(1712) mdrg_1712 = 1 ;
when(1713) mdrg_1713 = 1 ;
when(1714) mdrg_1714 = 1 ;
when(1715) mdrg_1715 = 1 ;
when(1716) mdrg_1716 = 1 ;
when(1801) mdrg_1801 = 1 ;
when(1802) mdrg_1802 = 1 ;
when(1803) mdrg_1803 = 1 ;
when(1804) mdrg_1804 = 1 ;
when(1805) mdrg_1805 = 1 ;
when(1806) mdrg_1806 = 1 ;
when(1807) mdrg_1807 = 1 ;
when(1808) mdrg_1808 = 1 ;
when(1909) mdrg_1909 = 1 ;
when(1910) mdrg_1910 = 1 ;
when(1911) mdrg_1911 = 1 ;
when(1912) mdrg_1912 = 1 ;
when(1913) mdrg_1913 = 1 ;
when(1914) mdrg_1914 = 1 ;
when(1915) mdrg_1915 = 1 ;
when(1916) mdrg_1916 = 1 ;
when(1917) mdrg_1917 = 1 ;
when(2018) mdrg_2018 = 1 ;
when(2019) mdrg_2019 = 1 ;
when(2020) mdrg_2020 = 1 ;
when(2101) mdrg_2101 = 1 ;
when(2102) mdrg_2102 = 1 ;
when(2103) mdrg_2103 = 1 ;
when(2104) mdrg_2104 = 1 ;
when(2105) mdrg_2105 = 1 ;
when(2106) mdrg_2106 = 1 ;
when(2107) mdrg_2107 = 1 ;
when(2108) mdrg_2108 = 1 ;
when(2109) mdrg_2109 = 1 ;
when(2201) mdrg_2201 = 1 ;
when(2210) mdrg_2210 = 1 ;
when(2212) mdrg_2212 = 1 ;
when(2213) mdrg_2213 = 1 ;
when(2214) mdrg_2214 = 1 ;
when(2301) mdrg_2301 = 1 ;
when(2302) mdrg_2302 = 1 ;
when(2303) mdrg_2303 = 1 ;
when(2304) mdrg_2304 = 1 ;
when(2305) mdrg_2305 = 1 ;
when(2406) mdrg_2406 = 1 ;
when(2407) mdrg_2407 = 1 ;
when(2408) mdrg_2408 = 1 ;
when(2409) mdrg_2409 = 1 ;
when(2501) mdrg_2501 = 1 ;
when(2502) mdrg_2502 = 1 ;
when(2503) mdrg_2503 = 1 ;
when(7701) mdrg_7701 = 1 ;
when(7702) mdrg_7702 = 1 ;
when(7703) mdrg_7703 = 1 ;
when(7704) mdrg_7704 = 1 ;
when(7705) mdrg_7705 = 1 ;
when(7706) mdrg_7706 = 1 ;
when(8899) mdrg_8899 = 1 ;
/* excluded are 7799, 8898, and 9999 */
otherwise ;
end ;
